Skip to main content

GET /api/v1/events/feed

Returns a paginated feed of events with enriched data including the main pool, markets, and total volume. Supports cursor-based pagination for efficient scrolling.

Authentication​

Optional. When authenticated, user-specific data (e.g. watchlist status) may be included.

Request​

ParameterTypeInDescription
cursorstringqueryCursor token returned from a previous response
limitintqueryNumber of events per page (default 20)
tagsstringqueryComma-separated list of tag slugs to filter by

Example​

curl "https://api.intotes.com/api/v1/events/feed?limit=20&tags=sports"

With authentication:

curl "https://api.intotes.com/api/v1/events/feed?limit=20" \
-H "Authorization: Bearer <access_token>"

Response​

200 OK​

{
"events": [
{
"event": {
"id": 1,
"name": "Champions League Final Winner",
"name_ru": "Победитель финала Лиги Чемпионов",
"tags": ["sports", "football"],
"image_url": "https://images.intotes.com/events/cl-final.png",
"status": "started",
"is_active": true,
"created_at": "2026-03-20T10:00:00Z"
},
"main_pool": {
"id": 10,
"name": "Main Pool",
"finish_at": "2026-06-01T20:00:00Z"
},
"markets": [
{
"id": 101,
"name": "Real Madrid",
"yes_probability": 0.55
},
{
"id": 102,
"name": "Liverpool",
"yes_probability": 0.45
}
],
"total_volume": 15234050
}
],
"next_cursor": "eyJpZCI6ImExYjJjM2Q0In0=",
"has_more": true
}